import { SPI, BasePackWidget, DefaultTabsWidget, Widget } from "@kunlun/dependencies";

@SPI.ClassFactory(BasePackWidget.Token({ widget: 'tabs' }))
export class TabsWidget extends DefaultTabsWidget {

  @Widget.BehaviorSubContext(Symbol("$$MULTI_TAB_HANDER_SUB"), {})
  private multiTabSubHander;

  @Widget.BehaviorSubContext(Symbol("$$MULTI_TAB_HANDER_CHANGE_SUB"), {})
  private multiTabActiveKeySubHander;

  @Widget.Method()
  public setActiveKey(key: string) {
    super.setActiveKey(key);
    const tab = Widget.select(key);
    this.multiTabActiveKeySubHander.subject.next({key: key, tabTitle: tab?.config.title})
  }

  mounted () {
    super.mounted();
    this.multiTabSubHander.subject.next({ handleKey: this.getHandle(), change: (key) => this.setActiveKey(key), tabs: this.template!.widgets });
  }
}