import { BaseElementWidget, SPI, Widget } from '@kunlun/dependencies';
import StepVue from './Step.vue';

@SPI.ClassFactory(BaseElementWidget.Token({ widget: 'next-step' }))
export class NextStepWidget extends BaseElementWidget {
  public initialize(props) {
    super.initialize(props);
    this.setComponent(StepVue);
    return this;
  }

  @Widget.BehaviorSubContext(Symbol("$$MULTI_TAB_HANDER_SUB"))
  private multiTabSubHander;

  @Widget.BehaviorSubContext(Symbol("$$MULTI_TAB_HANDER_CHANGE_SUB"), {})
  private multiTabActiveKeySubHander;

  @Widget.Reactive()
  private tabs;

  @Widget.Reactive()
  private activeIndex = 1;

  protected mounted() {
    super.mounted();
    this.multiTabSubHander.subscribe((value) => {
      if(value) {
        this.tabs = value.tabs;
      }
    })
    this.multiTabActiveKeySubHander.subscribe((value) => {
      if(value) {
        const tabTitle = value.tabTitle;
        this.activeIndex = (this.tabs || []).findIndex(tab => tab?.title === tabTitle) || 1
        this.activeIndex = this.activeIndex + 1;
      }
    })
  }
}